Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 591973 - [abrt] crash in telepathy-butterfly-0.5.9-1.fc13: p2p.py:183:parse:NameError: global name '_MSNObject__decode_shad' is not defined
Summary: [abrt] crash in telepathy-butterfly-0.5.9-1.fc13: p2p.py:183:parse:NameError:...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: telepathy-butterfly
Version: 13
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Brian Pepple
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:310e8f89
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-13 15:16 UTC by Mike Hanby
Modified: 2011-06-27 16:20 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-27 16:20:18 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2010-05-13 15:16 UTC, Mike Hanby
no flags Details

Description Mike Hanby 2010-05-13 15:16:09 UTC
abrt 1.1.0 detected a crash.

architecture: x86_64
cmdline: /usr/bin/python /usr/libexec/telepathy-butterfly
component: telepathy-butterfly
executable: /usr/libexec/telepathy-butterfly
kernel: 2.6.33.3-85.fc13.x86_64
package: telepathy-butterfly-0.5.9-1.fc13
reason: p2p.py:183:parse:NameError: global name '_MSNObject__decode_shad' is not defined
release: Fedora release 13 (Goddard)

backtrace
-----
p2p.py:183:parse:NameError: global name '_MSNObject__decode_shad' is not defined

Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/papyon/msnp/base.py", line 107, in _dispatch_command
    handler(command)
  File "/usr/lib/python2.6/site-packages/papyon/msnp/notification.py", line 414, in _handle_ILN
    self._handle_NLN(command)
  File "/usr/lib/python2.6/site-packages/papyon/msnp/notification.py", line 453, in _handle_NLN
    urllib.unquote(command.arguments[idx]))
  File "/usr/lib/python2.6/site-packages/papyon/p2p.py", line 183, in parse
    shad = __decode_shad(shad)
NameError: global name '_MSNObject__decode_shad' is not defined

Local variables in innermost frame:
creator: '<myid>_work@hotmail.com'
data: <cStringIO.StringI object at 0x258fcf0>
xml_data: '<msnobj Creator="<myid>_work@hotmail.com" Size="14439" Type="3" Location="TFR2C2.tmp" Friendly="AAA=" SHA1D="xxxxxxxxxxxxx" SHA1C="xxxxxxxxxxxxxxx"/>'
element: {'Creator': '<myid>_work@hotmail.com', 'SHA1C': 'xxxxxxxxxxxxxxxxxx', 'SHA1D': 'xxxxxxxxxxxxxxx', 'Location': 'TFR2C2.tmp', 'Type': '3', 'Friendly': 'AAA=', 'Size': '14439'}
client: <papyon.client.Client object at 0x2577a10>
location: 'TFR2C2.tmp'
shad: 'xxxxxxxxxxxxxxxxxx'
type: 3
friendly: '\x00\x00'
size: 14439
 

comment
-----
I just started Empathy for the first time.
Added my Gmail account, then added my MSN hotmail account and started getting an endless string of friend requests. The Automatic Bug Reporting Tool went off almost immediately after my MSN account logged in.

One very stange thing that I noticed as I looked through the backtrace.
It's reporting my hotmail address as:
<myid>_work@hotmail.com

This is one of the hotmail ID's I use for messenger, but it's not what I added to Empathy. I actually added:
<myid>@hotmail.com

The <myid> portion is identical in the two addresses. I double checked the account settings and it is definitely entered as <myid>@hotmail.com

I can provide the values of SHA1C and SHA1D if necessary, wan't whether that's considered sensitive data.

How to reproduce
-----
1. Add an MSN account to Empathy
2. Prepare to be bombarded with spam 'friend' requests
3. telepathy-butterfly crash should be reported via ABR Tool
4. Exit Empathy, start it up again and telepathy-butterfly will crash again

Comment 1 Mike Hanby 2010-05-13 15:16:11 UTC
Created attachment 413793 [details]
File: backtrace

Comment 2 Peter Hjalmarsson 2010-05-13 16:13:32 UTC
Package: telepathy-butterfly-0.5.9-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Start your computer
2. Start your preconfigured Empathy client
3.


Comment
-----
This seems to happends sometimes, but I have no real knovledge of when and why.

Comment 3 Peter Hjalmarsson 2010-05-13 16:36:01 UTC
(In reply to comment #2)
> Comment
> -----
> This seems to happends sometimes, but I have no real knovledge of when and why.    

Well, currently I cannot reach MSN due to this, currently this crash happens every time I start Empathy.
It connects fine to ICQ and xmpp it seems.

The address in my backtrace was not mine but one of the contacts in my list, but it had for some reason a _ somewhere in the address (cannot see anymore, as abrt only seems to store the anonymized version I prepared to send).

Comment 4 nitrooreo 2010-05-24 14:25:48 UTC
Package: telepathy-butterfly-0.5.10-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Start empathy from Applications --> Internet

Comment 5 Dario Castellarin 2010-05-25 20:50:09 UTC
Package: telepathy-butterfly-0.5.10-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Access an MSN account
2.
3.


Comment
-----
This happens just after I access my MSN account with Empathy.

Comment 6 Dario Castellarin 2010-05-25 20:56:54 UTC
Package: telepathy-butterfly-0.5.10-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Access an MSN account
2.
3.


Comment
-----
This happens just after I access my MSN account with Empathy.

Comment 7 AFD 2010-05-25 22:25:56 UTC
I've submitted many bugs since using Fedora 10 11 12 and now 13 on my Acer Aspire One.

I'm guessing that it could be down to smaller screen resolutions as I see many parts of Gnome being too big to display correctly (such as configuration menus, vnc apps etc)

The screen on my AAO is 1024x600.

Alternatively it could be down to bottlenecks in the transfer of data - my hardware has a very slow SSD that I think creates lags in performance, even though I have 1.5GB of RAM.

I'm thinking it's one of those or some jerk MSN behaviour (I use MSN, IRC, Facebook on Empathy)

Comment 8 Peter Hjalmarsson 2010-05-26 06:30:26 UTC
(In reply to comment #7)
> I've submitted many bugs since using Fedora 10 11 12 and now 13 on my Acer
> Aspire One.
> 
> I'm guessing that it could be down to smaller screen resolutions as I see many
> parts of Gnome being too big to display correctly (such as configuration menus,
> vnc apps etc)
> 
> The screen on my AAO is 1024x600.
> 
I have this same problem on an Dell with a 1400x1050 screen.

> Alternatively it could be down to bottlenecks in the transfer of data - my
> hardware has a very slow SSD that I think creates lags in performance, even
> though I have 1.5GB of RAM.
> 
On the other hand a crash should not happen with disk media either, which is possibly slower in notebooks than any SSD you throw at it. That said I have a crypted HDD so it is possible not the fastest thing in the store.

> I'm thinking it's one of those or some jerk MSN behaviour (I use MSN, IRC,
> Facebook on Empathy)    
Personally I start to feel like Empathy was choosen as the default way to early. I think I am currently CCd to at least four different crash bugs (some has been reported as DUPs of others, and some other probably is that too) about MSN and Empathy. Some have been open for some time and is full of ABRT comments in the class of "I tuched MSN in some way" with new comments coming in almost weekly and to be honest it does not look like Fedora telepathy/mission-control team has had the manpower to keep up. Some of these bugs shows up on newly started computer and is there every time I try to start Empathy until I reboot the computer. Some a simple restart of Empathy works sometimes, but far from all the time. But overall it is a lottery if I will be able to communicate, as at least a third of all times I start Empathy it crashes in one way or another.

Comment 9 Peter Hjalmarsson 2010-05-26 10:54:34 UTC
Package: telepathy-butterfly-0.5.10-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
I start Empathy, three people from my contact list shows up, and then this message about a crash shows up. It happends nearly every time currently....

Comment 10 Stefano Canepa 2010-05-28 08:34:09 UTC
Package: telepathy-butterfly-0.5.10-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. open empathy
2. wait until every protocol is loaded
3. at the connection with msn contact the crash appear

Comment 11 Tim Jackson 2010-05-30 17:10:41 UTC
Package: telepathy-butterfly-0.5.10-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Start empathy and import details from pidgin, including an MSN account
2. Connect to MSN account

Comment 12 Bug Zapper 2011-06-02 14:05:05 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 13 Bug Zapper 2011-06-27 16:20:18 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.